Page MenuHomePhabricator

Revise noinclude node descriptions
Closed, ResolvedPublic

Description

This task is about updating the copy in the <noinclude>, <includeonly>, and <onlyinclude> nodes.

Implementation

TagCurrent titleCurrent contentsRevised titleRevised contents
<noinclude>Start of… / End of content excluded from excerptsWhen this page is included in another page, content from here until the matching end marker will <strong>not</strong> be included. Be careful when editing the content outside these markers, as other pages may use it.Content reuseBe careful when editing the content in between the <noinclude> and </noinclude> markers. Other pages may be reusing this content.
</noinclude>End of content excluded from excerpts.Learn more about partial transclusion.Content reuseBe careful when editing the content in between the <noinclude> and </noinclude> markers. Other pages may be reusing this content.
<onlyinclude>Start of… / End of content allowed in excerptsWhen this page is included in another page, <strong>only</strong> the content from here until the matching end marker will be included. Be careful when editing the content between these markers, as other pages may use it.Content reuseBe careful when editing the content in between the <onlyinclude> and </onlyinclude> markers. Other pages may be reusing this content.
</onlyinclude>End of content allowed in excerptsLearn more about partial transclusion.Content reuseBe careful when editing the content in between the <onlyinclude> and </onlyinclude> markers. Other pages may be reusing this content.
<includeonly...</includeonly>Content for excerpts onlyWhen this page is included in another page, the following additional content will be included here:Content hiddenThe content in between the <includeonly and </includeonly> markers is hidden because it could be used on another page:
Footern/aLearn more about partial transclusionn/aLearn more about these markers.

Rationale

You will notice the "Revised contents" (above) does not have the same level of detail and technical specificity as the "Current contents." This is intentional.

Reasons:

  • In this moment, we are wanting to communicate to people seeing these tags for the first time something to the effect of, "Hey, watch out; this content is different from other content. If you want to learn more about how this content is different, here is a link where you can do that."
  • In this moment, we are not trying to teach people exactly what these tags mean and do. The thinking here is the presence of the node descriptions and and tags themselves will be a strong enough signal to people that they should be cautious about changing the content near the tags.
  • For people curious about the details of these markers, I think we can assume they will visit the documentation and/or view the page source.

Done

  • We would like to change this text in all thee dialogs, "When this page is included in another page..." to this text in all three dialogs, "When content from this page is used by another page..."

Event Timeline

ppelberg created this task.Jun 12 2020, 5:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 12 2020, 5:10 PM
Esanders added a comment.EditedJun 12 2020, 6:12 PM

Be careful when editing the content in between the <noinclude> and </noinclude> markers. Other pages may be reusing this content

noinclude means other pages can't reuse this content.

The content in between the <includeonly and </includeonly> markers is hidden because it could be used on another page:

It's not hidden because it could be used on another page. It's hidden because that's what the tags tell it to do. Separately it could also be used on another page.

If the statement were true as written, the logical implication[1] would be that if the content couldn't be used on another page, then it wouldn't be hidden here, but that is not the case as the <noinclude> tag exists.

  1. https://en.wikipedia.org/wiki/Transposition_(logic)

I don't like the proposed changes very much. I think both the old and the new wording adequately communicate to "watch out". But if that was their only purpose, then we might as well remove the text and put in some angry-looking icon (that was basically my initial implementation… although it was due to laziness/limited time, rather than for a good reason). If we're going to have a label, then I think it's better to describe the purpose of the markers.

Thank you, @Esanders. Just talked with @matmarex about this and we came to the following:

We would like to change this text in all thee dialogs, "When this page is included in another page..." to this text in all three dialogs, "When content from this page is used by another page..."

matmarex updated the task description. (Show Details)Jun 16 2020, 3:31 PM

(I fixed the "Current contents" in the description, they were outdated)

matmarex updated the task description. (Show Details)Jun 22 2020, 6:16 PM

Change 607086 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] Revise <noinclude>/<onlyinclude>/<includeonly> node descriptions

https://gerrit.wikimedia.org/r/607086

Change 607086 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Revise <noinclude>/<onlyinclude>/<includeonly> node descriptions

https://gerrit.wikimedia.org/r/607086

ppelberg closed this task as Resolved.Jul 9 2020, 2:51 AM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJul 9 2020, 2:51 AM